This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 110750 - obsolete source code
obsolete source code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: FreeWnn (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 08:55 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-05 22:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 08:55:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
Hello there,

I've just been having a look at package FreeWnn-1_11-38 from Fedora.
I found

[root@ruth SPECS]# grep searchdesc ../BUILD/FreeWnn-1.1.1 
a017/Xsi/PubdicPlus/pod.c
searchdesc (hin, tan, yom)
      dp = searchdesc (dhinshi);

This means that routine searchdesc is defined with three parameters,
but only gets called with one. This is a problem for any
use of parameters tan & yom in the searchdesc routine.

Suggest remove parameters tan & yom. The source code is

static struct descpack *
searchdesc (hin, tan, yom)
     Wchar *hin, **tan, **yom;
{

Suggest also use ISO function prototypes. K&R code has been deprecated
for about fifteen years now.

static struct descpack *
searchdesc ( Wchar * hin)
{




Version-Release number of selected component (if applicable):
FreeWnn-1_11-38 

How reproducible:
Always

Steps to Reproduce:
1. by source code inspection
2.
3.
    

Additional info:
Comment 1 Jens Petersen 2004-03-22 22:28:52 EST
Fixing in next update.
Comment 2 Jens Petersen 2004-08-05 22:19:39 EDT
This is fixed in upstream pl20.

Note You need to log in before you can comment on or make changes to this bug.